# Interface IBuildingAdvancedSearchEventArgs

## Index

### Properties

- executeQuery
- sections

## Properties

### executeQuery

executeQuery: function

- Defined in events/AdvancedSearchEvents.ts :17

#### Type declaration

- - (options: IQueryOptions): Promise<IQueryResults>

  - #### Parameters

    - ##### options: IQueryOptions

    #### Returns Promise<IQueryResults>

### sections

sections: IExternalAdvancedSearchSection[]

- Defined in events/AdvancedSearchEvents.ts :12

### Hierarchy

- IBuildingAdvancedSearchEventArgs